Bug 825498 - [abrt] colord-0.1.21-1.fc17: cd_device_register_object: Process /usr/libexec/colord was killed by signal 11 (SIGSEGV)
[abrt] colord-0.1.21-1.fc17: cd_device_register_object: Process /usr/libexec/...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: colord (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
abrt_hash:305129c8e7f71023a2a3807ad7c...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-26 18:13 EDT by Germán Ríos González
Modified: 2013-08-01 13:06 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 13:06:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: var_log_messages (9.21 KB, text/plain)
2012-05-26 18:13 EDT, Germán Ríos González
no flags Details
File: maps (12.78 KB, text/plain)
2012-05-26 18:13 EDT, Germán Ríos González
no flags Details
File: backtrace (13.40 KB, text/plain)
2012-05-26 18:13 EDT, Germán Ríos González
no flags Details

  None (edit)
Description Germán Ríos González 2012-05-26 18:13:07 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        /usr/libexec/colord
crash_function: cd_device_register_object
executable:     /usr/libexec/colord
kernel:         3.3.7-1.fc17.x86_64
pid:            992
pwd:            /
time:           Sat 26 May 2012 17:07:24 COT
uid:            997
username:       colord

backtrace:      Text file, 13719 bytes
maps:           Text file, 13082 bytes
var_log_messages: Text file, 9433 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/system/colord.service
:2:cpuset:/
:1:name=systemd:/system/colord.service

core_backtrace:
:ac15291bf727c8c19848f036670190cf469023f4 0xb1fd cd_device_register_object [exe] -
:ac15291bf727c8c19848f036670190cf469023f4 0x138b6 - [exe] -
:ac15291bf727c8c19848f036670190cf469023f4 0x14c7f - [exe] -
:6ffd106c467fc2bbbe04c9509d66f7d97d2a751f 0xba385 - libgio-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x476e5 g_main_context_dispatch libglib-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x47a18 - libglib-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x47e12 g_main_loop_run libglib-2.0.so.0 -
:ac15291bf727c8c19848f036670190cf469023f4 0x7bb3 main [exe] -

dso_list:
:/usr/lib64/libgobject-2.0.so.0.3200.3 glib2-2.32.3-1.fc17.x86_64 (Fedora Project) 1338059304
:/usr/lib64/libsqlite3.so.0.8.6 sqlite-3.7.11-2.fc17.x86_64 (Fedora Project) 1338038236
:/usr/lib64/libgio-2.0.so.0.3200.3 glib2-2.32.3-1.fc17.x86_64 (Fedora Project) 1338059304
:/usr/lib64/libffi.so.5.0.10 libffi-3.0.10-2.fc17.x86_64 (Fedora Project) 1338038236
:/usr/lib64/libgudev-1.0.so.0.1.1 libgudev1-182-1.fc17.x86_64 (Fedora Project) 1338038384
:/usr/lib64/libgvfscommon.so.0.0.0 gvfs-1.12.3-1.fc17.x86_64 (Fedora Project) 1338038451
:/usr/lib64/libz.so.1.2.5 zlib-1.2.5-6.fc17.x86_64 (Fedora Project) 1338038232
:/usr/lib64/libm-2.15.so glibc-2.15-37.fc17.x86_64 (Fedora Project) 1338038227
:/usr/lib64/gconv/gconv-modules.cache glibc-2.15-37.fc17.x86_64 (Fedora Project) 1338038227
:/usr/lib64/liblcms2.so.2.0.3 lcms2-2.3-2.fc17.x86_64 (Fedora Project) 1338038249
:/usr/lib64/libnss_files-2.15.so glibc-2.15-37.fc17.x86_64 (Fedora Project) 1338038227
:/usr/lib64/libxml2.so.2.7.8 libxml2-2.7.8-7.fc17.x86_64 (Fedora Project) 1338038232
:/usr/lib64/libsystemd-login.so.0.2.1 systemd-44-12.fc17.x86_64 (Fedora Project) 1338059330
:/usr/lib64/libdl-2.15.so glibc-2.15-37.fc17.x86_64 (Fedora Project) 1338038227
:/usr/lib64/libpolkit-gobject-1.so.0.0.0 polkit-0.104-6.fc17.x86_64 (Fedora Project) 1338038385
:/usr/libexec/colord colord-0.1.21-1.fc17.x86_64 (Fedora Project) 1338059334
:/usr/lib64/libdbus-1.so.3.5.6 dbus-libs-1:1.4.10-4.fc17.x86_64 (Fedora Project) 1338038233
:/usr/lib64/libglib-2.0.so.0.3200.3 glib2-2.32.3-1.fc17.x86_64 (Fedora Project) 1338059304
:/usr/lib64/libutil-2.15.so glibc-2.15-37.fc17.x86_64 (Fedora Project) 1338038227
:/usr/lib64/libc-2.15.so glibc-2.15-37.fc17.x86_64 (Fedora Project) 1338038227
:/usr/lib64/gio/modules/libgioremote-volume-monitor.so gvfs-1.12.3-1.fc17.x86_64 (Fedora Project) 1338038451
:/usr/lib64/libselinux.so.1 libselinux-2.1.10-3.fc17.x86_64 (Fedora Project) 1338038231
:/usr/lib64/libbluray.so.1.1.0 libbluray-0.2.2-1.fc17.x86_64 (Fedora Project) 1338038246
:/usr/lib64/libgthread-2.0.so.0.3200.3 glib2-2.32.3-1.fc17.x86_64 (Fedora Project) 1338059304
:/usr/lib64/libgmodule-2.0.so.0.3200.3 glib2-2.32.3-1.fc17.x86_64 (Fedora Project) 1338059304
:/usr/lib/locale/locale-archive glibc-common-2.15-37.fc17.x86_64 (Fedora Project) 1338038226
:/usr/lib64/libudev.so.0.13.1 libudev-182-1.fc17.x86_64 (Fedora Project) 1338038380
:/usr/lib64/librt-2.15.so glibc-2.15-37.fc17.x86_64 (Fedora Project) 1338038227
:/usr/lib64/libresolv-2.15.so glibc-2.15-37.fc17.x86_64 (Fedora Project) 1338038227
:/usr/lib64/ld-2.15.so glibc-2.15-37.fc17.x86_64 (Fedora Project) 1338038227
:/usr/lib64/libpthread-2.15.so glibc-2.15-37.fc17.x86_64 (Fedora Project) 1338038227

environ:
:SYSFONT=True
:PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin
:LANG=en_US.UTF-8
:KEYTABLE=us-acentos
:BOOT_IMAGE=/boot/vmlinuz-3.3.7-1.fc17.x86_64
:HOME=/var/lib/colord
:LOGNAME=colord
:USER=colord

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             31497                31497                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       31497                31497                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:socket:[19696]
:pos:	0
:flags:	02
:2:socket:[19696]
:pos:	0
:flags:	02
:3:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:4:socket:[19355]
:pos:	0
:flags:	02004002
:5:socket:[19356]
:pos:	0
:flags:	02004002
:6:/var/lib/colord/mapping.db
:pos:	40
:flags:	02100002
:7:/var/lib/colord/storage.db
:pos:	40
:flags:	02100002
:8:socket:[19772]
:pos:	0
:flags:	02004002
:9:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:10:anon_inode:inotify
:pos:	0
:flags:	02004000
:11:/proc/992/mounts
:pos:	0
:flags:	0100000
:12:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
Comment 1 Germán Ríos González 2012-05-26 18:13:11 EDT
Created attachment 587044 [details]
File: var_log_messages
Comment 2 Germán Ríos González 2012-05-26 18:13:13 EDT
Created attachment 587045 [details]
File: maps
Comment 3 Germán Ríos González 2012-05-26 18:13:15 EDT
Created attachment 587046 [details]
File: backtrace
Comment 4 Juan Francisco Fernández 2012-06-20 13:36:09 EDT
1.- Don't know

backtrace_rating: 4
Package: colord-0.1.21-1.fc17
Architecture: i686
OS Release: Fedora release 17 (Beefy Miracle)
Comment 5 Retlaw Dlawso 2012-07-12 10:04:59 EDT
on starting up pc

backtrace_rating: 4
Package: colord-0.1.21-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 6 Noel Brookham 2012-07-16 00:07:00 EDT
I had just installed the nVida RPM and rebooted and after 10 min system just froze with Firefox on CNN.

backtrace_rating: 4
Package: colord-0.1.21-1.fc17
Architecture: i686
OS Release: Fedora release 17 (Beefy Miracle)
Comment 7 Noel Brookham 2012-07-25 14:51:36 EDT
Did a system update and rebooted.

backtrace_rating: 4
Package: colord-0.1.21-1.fc17
Architecture: i686
OS Release: Fedora release 17 (Beefy Miracle)
Comment 8 Adam Joseph Cook 2012-10-23 22:30:01 EDT
Occured during Fedora 18 Alpha Active Directory Test Day.

Test case: https://fedoraproject.org/wiki/QA:Testcase_Active_Directory_realmd_login

1. Logged on with Active Directory (AD) account name according to step 6 of the test procedure at the above link.
2. ABRT raised this crash on colord

(This crash does not occur with a local, non-AD account)


backtrace_rating: 4
Package: colord-0.1.22-2.fc18
OS Release: Fedora release 18 (Spherical Cow)
Comment 9 Richard Hughes 2013-04-24 07:39:42 EDT
Can someone please test with color newer than colord-0.1.22-2 please. I don't have an AD setup here.
Comment 10 robert fairb 2013-06-24 01:08:38 EDT
https://bugzilla.redhat.com/show_bug.cgi?id=838229

backtrace_rating: 4
cmdline:        /usr/libexec/colord
crash_function: cd_device_register_object
executable:     /usr/libexec/colord
kernel:         3.8.13-100.fc17.x86_64
last_occurrence: 1372050295
package:        colord-0.1.23-1.fc17
reason:         Process /usr/libexec/colord was killed by signal 11 (SIGSEGV)
reported_to:    uReport: BTHASH=a3b0d9d486d0e80be2cf93659901186ca17a683e
runlevel:       unknown
uid:            996
ureports_counter: 2
Comment 11 Fedora End Of Life 2013-07-04 01:50:46 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 12 Fedora End Of Life 2013-08-01 13:06:31 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.